services:
  db:
    image: mysql:8.0
    container_name: db_atedi
    restart: unless-stopped
    env_file:
      - .env.local  # Charge les variables depuis .env.local
    volumes:
      - db_data:/var/lib/mysql
    ports:
      - "3307:3306"
    healthcheck: # pour s'assurer que la BDD est prête avant de démarrer l'app
      test: ["CMD", "mysqladmin", "ping", "-h", "localhost"]
      interval: 5s
      timeout: 3s
      retries: 10
      start_period: 10s

  app:
    build: .
    container_name: atedi_symfony
    restart: unless-stopped
    volumes:
      - .:/var/www # Pour le développement local, pour voir les changements en direct
    env_file:
      - .env.local # Charge les variables depuis .env.local
    ports:
      - "8080:80" # On expose le port 80 de Nginx sur le port 8080 de l'hôte
    depends_on:
      db:
        condition: service_healthy   # OBLIGATOIRE avec healthcheck

volumes:
  db_data: